/* ================ Global================  */


:root {
    --grey: rgb(29, 29, 29);
    --white: rgb(237, 237, 237);
    --blue: #0fa2d3aa;
    --darkblue: #004258;
}

body {
    font-family: 'Prompt', sans-serif;
    color: var(--darkblue);
    margin: 0;
}

.wrapper {
    display: grid;
    grid-template-rows: repeat(5, auto);
}

.headers {
    font-size: 40px;
    display: grid;
    justify-items: center;
}

button {
    color: var(--darkblue);
}

a:link {
    text-decoration: none;
  }
  
a:visited {
text-decoration: none;
}


/*================ Header ================ */


.nav-bar {
    display: grid;
    border-bottom: 1px solid var(--blue);
    grid-template-columns: auto 1fr 1fr;
    padding: 5px;
    padding-right: 100px;
    position: fixed;
    overflow: hidden;
    width: 98%;
    background-color: white;
    top: 0;
}

.logo {
    display: grid;
    justify-self: left;
    align-self: center;
    font-size: 30px;
    font-weight: 700;
}

.socials {
    fill: var(--grey);
    display: grid;
    grid-template-columns: auto auto;
    align-items: center;
    justify-content: start;
    grid-gap: 5px;
    margin-left: 15px;
    margin-top: 5px;
}

.menu {
    display: grid;
    justify-items: right;
    align-items: center;
    grid-template-columns: 1fr auto auto;
    font-size: 15px;
    list-style: none;
    padding: 0;
    grid-gap: 15px;
}

.menu li {
    color: var(--darkblue);
    border: 1px solid var(--darkblue);
    padding: 5px;
    border-radius: 10px;
    cursor: pointer;
}


/*  ================ Hero ================ */


.hero {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 100vh;
    justify-items: center;
    align-items: center;
    background-color: #001c26;
    background-image: url("data:image/svg+xml,%3Csvg width='60' height='60' viewBox='0 0 60 60' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M54.627 0l.83.828-1.415 1.415L51.8 0h2.827zM5.373 0l-.83.828L5.96 2.243 8.2 0H5.374zM48.97 0l3.657 3.657-1.414 1.414L46.143 0h2.828zM11.03 0L7.372 3.657 8.787 5.07 13.857 0H11.03zm32.284 0L49.8 6.485 48.384 7.9l-7.9-7.9h2.83zM16.686 0L10.2 6.485 11.616 7.9l7.9-7.9h-2.83zm20.97 0l9.315 9.314-1.414 1.414L34.828 0h2.83zM22.344 0L13.03 9.314l1.414 1.414L25.172 0h-2.83zM32 0l12.142 12.142-1.414 1.414L30 .828 17.272 13.556l-1.414-1.414L28 0h4zM.284 0l28 28-1.414 1.414L0 2.544V0h.284zM0 5.373l25.456 25.455-1.414 1.415L0 8.2V5.374zm0 5.656l22.627 22.627-1.414 1.414L0 13.86v-2.83zm0 5.656l19.8 19.8-1.415 1.413L0 19.514v-2.83zm0 5.657l16.97 16.97-1.414 1.415L0 25.172v-2.83zM0 28l14.142 14.142-1.414 1.414L0 30.828V28zm0 5.657L11.314 44.97 9.9 46.386l-9.9-9.9v-2.828zm0 5.657L8.485 47.8 7.07 49.212 0 42.143v-2.83zm0 5.657l5.657 5.657-1.414 1.415L0 47.8v-2.83zm0 5.657l2.828 2.83-1.414 1.413L0 53.456v-2.83zM54.627 60L30 35.373 5.373 60H8.2L30 38.2 51.8 60h2.827zm-5.656 0L30 41.03 11.03 60h2.828L30 43.858 46.142 60h2.83zm-5.656 0L30 46.686 16.686 60h2.83L30 49.515 40.485 60h2.83zm-5.657 0L30 52.343 22.343 60h2.83L30 55.172 34.828 60h2.83zM32 60l-2-2-2 2h4zM59.716 0l-28 28 1.414 1.414L60 2.544V0h-.284zM60 5.373L34.544 30.828l1.414 1.415L60 8.2V5.374zm0 5.656L37.373 33.656l1.414 1.414L60 13.86v-2.83zm0 5.656l-19.8 19.8 1.415 1.413L60 19.514v-2.83zm0 5.657l-16.97 16.97 1.414 1.415L60 25.172v-2.83zM60 28L45.858 42.142l1.414 1.414L60 30.828V28zm0 5.657L48.686 44.97l1.415 1.415 9.9-9.9v-2.828zm0 5.657L51.515 47.8l1.414 1.413 7.07-7.07v-2.83zm0 5.657l-5.657 5.657 1.414 1.415L60 47.8v-2.83zm0 5.657l-2.828 2.83 1.414 1.413L60 53.456v-2.83zM39.9 16.385l1.414-1.414L30 3.658 18.686 14.97l1.415 1.415 9.9-9.9 9.9 9.9zm-2.83 2.828l1.415-1.414L30 9.313 21.515 17.8l1.414 1.413 7.07-7.07 7.07 7.07zm-2.827 2.83l1.414-1.416L30 14.97l-5.657 5.657 1.414 1.415L30 17.8l4.243 4.242zm-2.83 2.827l1.415-1.414L30 20.626l-2.828 2.83 1.414 1.414L30 23.456l1.414 1.414zM56.87 59.414L58.284 58 30 29.716 1.716 58l1.414 1.414L30 32.544l26.87 26.87z' fill='%231f6278' fill-opacity='0.75' fill-rule='evenodd'/%3E%3C/svg%3E");
    background-attachment: fixed;
    max-width: 100%;
    height: auto;
    box-shadow: 5px -2px 2px black;
}

.hero-container {
    display: grid;
    justify-items: center;
}

.hero h1 {
    color: white;
    font-weight: 700;
    margin: 5px;
    margin-bottom: 0;
    font-size: 50px;
    /* text-shadow: 1px 1px 2px rgb(255, 255, 255); */
}

.hero p {
    color: white;
    margin: 5px;
    font-weight: 400;
    font-size: 30px;
}

.hero button {
    margin-left: 5px;
    margin-top: 5px;
    color: white;
    background-color: rgba(0, 0, 0, 0);
    border: 2px solid white;
    border-radius: 10px;
    padding: 2px 8px;
    font-size: 25px;
    cursor: pointer;
}


/* ================ Projects ================ */


.projects {
    margin: 30px;
    margin-top: 50px;
    border-top-left-radius: 50px;
}

.project-container {
    display: grid;
    grid-gap: 30px;
    justify-content: center;
}

.project {
    display: grid;
    justify-content: left;
    grid-template-columns: 220px 1fr;
    padding: 10px;
    grid-gap: 20px;
}

.project-image {
    max-width: 100%;
    height: auto;
    margin: 10px;
    border-top-left-radius: 40px;
    border-bottom-left-radius: 20px;
    background-attachment: fixed;
    border: 1px solid grey;
    padding: 10px;
    box-shadow: -3px 3px 10px var(--grey);
}

.project-description {
    background: rgb(2,38,50);
    background: linear-gradient(0deg, rgba(0,5,6,1) 0%, rgba(78,172,193,1) 84%);
    padding: 10px;
    color: white;
    border-top-right-radius: 40px;
    border-bottom-left-radius: 20px;
    background-attachment: fixed;
    box-shadow: 3px 3px 10px var(--grey);
}

.project-tech {
    list-style: none;
    padding: 0;
    display: flex;
}

.project-tech li {
    margin: 0 10px 0 5px;
    padding: 0 5px 0 5px;
    background-color: white;
    color: var(--darkblue);
    border-radius: 10px;
}

.project h2 {
    margin: 5px;
    justify-self: start;
}

.project p {
    margin: 5px;
    justify-self: left;

}
.project-3 {
    background-image: url(images/copycat-iphone.png);
}

.project-4 {
    background-image: url(images/etch-a-sketch.png);
}

.project-5 {
    background-image: url(images/ruby-tictactoe.png);
}

.project-6 {
  background-image: url(images/gaming-moments.png);
}

.project-7 {
  background-image: url(images/ecommerce.png);
}

.project-8 {
  background-image: url(images/gaming-moments-v2.png);
}

.project-buttons button{
    border: 1px solid white;
    color: white;
    background-color: rgba(0, 0, 0, 0);
    margin-left: 5px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
    font-size: 15px;
    font-family: 'Prompt', sans-serif;
    cursor: pointer;
}


/* ================ Achievements ================ */


.achievements {
    margin: 10px;
    margin: 75px 0 75px 0;
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
}

.achievement-container {
    display: grid;
    grid-template-columns: 1fr;
    border: 1px solid var(--darkblue);
    background: rgb(34,34,34);
    background: linear-gradient(180deg, rgba(0,21,28,1) 0%, rgba(0,139,168,1) 100%);
    background-attachment: fixed;
    padding-bottom: 10px;
}

.tech-assessment-container {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr 1fr;
    margin: 20px;
}

.tech-assessment-container h2 {
    justify-self: center;
    font-size: 30px;
    background-color: white;
    border: 1px solid var(--darkblue);
    padding: 5px 25px 5px 25px;
    /* border-radius: 5px; */
}

.tech-assessment {
    border: 1px solid var(--darkblue);
    /* border-radius: 10px; */
    background-color: white;
    display: grid;
    grid-template-rows: 1fr auto;
    justify-items: center;
}

.tech-assessment img {
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 5px;
    max-width: 200px;
    float: left;
    margin: 20px 30px 0px 20px;
}

.tech-assessment img:hover {
    box-shadow: 0 0 2px 1px rgba(0, 140, 186, 0.5);
}

.tech-assessment button {
    margin-bottom: 10px;
    color: var(--darkblue);
    background-color: white;
    border: 1px solid var(--darkblue);
    padding: 3px 10px;
    font-size: 15px;
    cursor: pointer;
}

.achievement-text {
    margin-right: 10px;
}

.achievement-text ul {
    list-style-type: circle;
}

.certifications-container {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr 1fr 1fr 1fr;
    margin: 20px;
}

.certifications-container h2 {
    justify-self: center;
    font-size: 30px;
    background-color: white;
    border: 1px solid var(--darkblue);
    padding: 5px 25px 5px 25px;
}

.certification {
    border: 1px solid var(--darkblue);
    padding-left: 10px;
    background-color: white;
    display: grid;
    grid-template-columns: 1fr 3fr;
    align-items: center;
}

.certification h3 {
    margin: 3px 3px 3px 0;
    font-size: 20px;
}

.certification p {
    font-size: 15px;
    margin: 3px 3px 3px 0;
}

.certification button {
    color: var(--darkblue);
    background-color: white;
    border: 1px solid var(--darkblue);
    /* border-radius: 5px; */
    padding: 3px 10px;
    font-size: 15px;
    margin: 3px 3px 3px 0;
    cursor: pointer;
}

.certification img {
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 5px;
    width: 150px;
    margin: 10px;
}

.certification img:hover {
    box-shadow: 0 0 2px 1px rgba(0, 140, 186, 0.5);
  }


/* ================ Footer ================ */


.footer {
    height: 70px;
    border-top: 1px solid grey;
    display: grid;
    /* grid-template-columns: repeat(4, 1fr); */
    align-items: center;
    justify-items: center;
    font-size: 12px;
}


/* ================ Media Queries ================ */


@media (max-width: 700px) {
    .projects {
        margin: 0;
    }

    .project {
        grid-template-columns: 1fr;
    }

    .project-image {
        display: none;
    }
}

@media (min-width: 1200px) {
    .project {
        grid-template-columns: 220px 860px;
    }

    .achievement-container {
        grid-template-columns: 1100px;
        justify-content: center;
    }
}